#!/bin/sh
#
# Partially externalize WINE, to save on space in the save-file/folder - © Mike Walsh July 2019
#
pupmessage -bg yellow "$(gettext 'Do you wish to externalize WINE, in order to save space in the save-file?')"
#
mkdir /mnt/home/WindowApps
mkdir /mnt/home/WindowApps/root
mkdir /mnt/home/WindowApps/root/.cache
mkdir /mnt/home/WindowApps/usr
mkdir /mnt/home/WindowApps/usr/lib32
mkdir /mnt/home/WindowPortables
#
# Copy relevant WINE directories
#
cp -ar /root/.wine/drive_c /mnt/home/WindowApps
cp -ar /root/.cache/wine /mnt/home/WindowApps/root/.cache
cp -ar /usr/lib32/* /mnt/home/WindowApps/usr/lib32 
#
# Delete original WINE directories
#
rm -rf /root/.wine/drive_c
rm -rf /root/.cache/wine
rm -rf /usr/lib32/wine
rm -rf /usr/lib32/libwine.so
rm -rf /usr/lib32/libwine.so.1
rm -rf /usr/lib32/libwine.so.1.0
#
# Sym-link 'externalized' directories back to their original location
#
ln -s /mnt/home/WindowApps/drive_c /root/.wine/drive_c
ln -s /mnt/home/WindowApps/root/.cache/wine /root/.cache/wine
ln -s /mnt/home/WindowApps/usr/lib32/* /usr/lib32/
#
# Notify task completed
#
/usr/lib/gtkdialog/box_splash -placement center -bg yellow -fg red -timeout 10 -text " OPERATION SUCCESSFUL.
The bulk of your WINE install has now been re-located outside of 'Puppy-space'....  "
exit
